function GoTime_CreateOptionsPanel()
	local configFrame = CreateFrame('Frame', 'GoTimeConfigFrame', InterfaceOptionsFramePanelContainer)
	configFrame:Hide()
	configFrame.name = 'Go Time'
	InterfaceOptions_AddCategory(configFrame)
	local titleLabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontNormalLarge')
	titleLabel:SetPoint('TOPLEFT', configFrame, 'TOPLEFT', 16, -16)
	titleLabel:SetText('Go Time')
	local versionLabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontNormalLarge')
	versionLabel:SetPoint('BOTTOMLEFT', titleLabel, 'BOTTOMRIGHT', 8, 0)
	versionLabel:SetText('v' .. GetAddOnMetadata('GoTime', 'Version'))
	local authorLabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontNormalLarge')
	authorLabel:SetPoint('TOPRIGHT', configFrame, 'TOPRIGHT', -16, -24)
	authorLabel:SetText("Author: Chr0nicxHero")
	local statuslabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontNormalLarge')
	statuslabel:SetPoint('TOPLEFT', configFrame, 'TOPLEFT', 16, -300)
	statuslabel:SetText("Status: "..(GOTIME_DATA.ShoutOut and "|cff00ff00On|r" or "|cffff0000Off|r"))
	local channellabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontNormalLarge')
	channellabel:SetPoint('TOPRIGHT', configFrame, 'TOPRIGHT', -16, -300)
	channellabel:SetText("Announcing in: |cff00ff00"..(GOTIME_DATA.Mode))
	local commandlabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontNormalLarge')
	commandlabel:SetPoint('CENTER', configFrame, 'CENTER', 00, -50)
	commandlabel:SetText("Commands:")
	local commandslist = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontHighlight')
	commandslist:SetPoint('CENTER', commandlabel, 'CENTER', 00, -40)
	commandslist:SetText('|cff00ff00"/gt incon": Will hide or show minimap icon\n"/gt say": Will change the channel to announce in say\n"/gt self": Will change the channel and say to self\n"/gt group": Will change the channel to announce in your group or raid\n"/gt test": Will send a message to see if the addon is truely on *MUST BE IN A GROUP*|r')
	local UpdateUIdisplayLabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontHighlight')
	UpdateUIdisplayLabel:SetPoint('TOPLEFT', titleLabel, 'BOTTOMLEFT', 0, -20)
	UpdateUIdisplayLabel:SetText("Toggle call out options |cffff0000(reload UI for interface to update)|r")
	local ToggleShoutoutCheckbox = CreateFrame('CheckButton', "$parentShoutOuts", configFrame, 'InterfaceOptionsCheckButtonTemplate')
	ToggleShoutoutCheckbox:SetPoint('TOPLEFT', UpdateUIdisplayLabel, 'BOTTOMLEFT', 20, -5)
	ToggleShoutoutCheckbox:SetChecked(GOTIME_DATA.ShoutOut)
	ToggleShoutoutCheckbox:SetScript("OnClick", function(self)
		SlashCmdList.WL2(self:GetChecked() and "ON" or "OFF")
	end)
	local ToggleShoutoutLabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontHighlight')
	ToggleShoutoutLabel:SetPoint('LEFT', ToggleShoutoutCheckbox, 'RIGHT', 0, 0)
	ToggleShoutoutLabel:SetText("Toggle all call outs on or off.")
	local ToggleLustCheckbox = CreateFrame('CheckButton', "$parentLust", configFrame, 'InterfaceOptionsCheckButtonTemplate')
	ToggleLustCheckbox:SetPoint('TOPLEFT', ToggleShoutoutCheckbox, 'BOTTOMLEFT', 0, -5)
	ToggleLustCheckbox:SetChecked(GOTIME_DATA.Lust)
	ToggleLustCheckbox:SetEnabled(GOTIME_DATA.ShoutOut)
	ToggleLustCheckbox:SetScript("OnClick", function(self)
		GOTIME_DATA.Lust = self:GetChecked()
	end)
	local ToggleLustLabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontHighlight')
	ToggleLustLabel:SetPoint('LEFT', ToggleLustCheckbox, 'RIGHT', 0, 0)
	ToggleLustLabel:SetText("Toggle Lust/Heroism call out.")
	local ToggleWarlockCheckbox = CreateFrame('CheckButton', "$parentWarlock", configFrame, 'InterfaceOptionsCheckButtonTemplate')
	ToggleWarlockCheckbox:SetPoint('TOPLEFT', ToggleLustCheckbox, 'BOTTOMLEFT', 0, -5)
	ToggleWarlockCheckbox:SetChecked(GOTIME_DATA.Warlock)
	ToggleWarlockCheckbox:SetEnabled(GOTIME_DATA.ShoutOut)
	ToggleWarlockCheckbox:SetScript("OnClick", function(self)
		GOTIME_DATA.Warlock = self:GetChecked()
	end)
	local ToggleWarlockLabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontHighlight')
	ToggleWarlockLabel:SetPoint('LEFT', ToggleWarlockCheckbox, 'RIGHT', 0, 0)
	ToggleWarlockLabel:SetText("Toggle soulwell call out.")
	local ToggleMageCheckbox = CreateFrame('CheckButton', "$parentMage", configFrame, 'InterfaceOptionsCheckButtonTemplate')
	ToggleMageCheckbox:SetPoint('TOPLEFT', ToggleWarlockCheckbox, 'BOTTOMLEFT', 0, -5)
	ToggleMageCheckbox:SetChecked(GOTIME_DATA.Mage)
	ToggleMageCheckbox:SetEnabled(GOTIME_DATA.ShoutOut)
	ToggleMageCheckbox:SetScript("OnClick", function(self)
		GOTIME_DATA.Mage = self:GetChecked()
	end)
	local ToggleMageLabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontHighlight')
	ToggleMageLabel:SetPoint('LEFT', ToggleMageCheckbox, 'RIGHT', 0, 0)
	ToggleMageLabel:SetText("Toggle mage table call out.")
	local ToggleCauldronCheckbox = CreateFrame('CheckButton', "$parentCauldron", configFrame, 'InterfaceOptionsCheckButtonTemplate')
	ToggleCauldronCheckbox:SetPoint('TOPLEFT', ToggleMageCheckbox, 'BOTTOMLEFT', 300, 120)
	ToggleCauldronCheckbox:SetChecked(GOTIME_DATA.Cauldron)
	ToggleCauldronCheckbox:SetEnabled(GOTIME_DATA.ShoutOut)
	ToggleCauldronCheckbox:SetScript("OnClick", function(self)
		GOTIME_DATA.Cauldron = self:GetChecked()
	end)
	local ToggleCauldronLabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontHighlight')
	ToggleCauldronLabel:SetPoint('LEFT', ToggleCauldronCheckbox, 'RIGHT', 0, 0)
	ToggleCauldronLabel:SetText("Toggle cauldron call out.")
	local ToggleFeastsCheckbox = CreateFrame('CheckButton', "$parentFeasts", configFrame, 'InterfaceOptionsCheckButtonTemplate')
	ToggleFeastsCheckbox:SetPoint('TOPLEFT', ToggleCauldronCheckbox, 'BOTTOMLEFT', 0, -5)
	ToggleFeastsCheckbox:SetChecked(GOTIME_DATA.Feasts)
	ToggleFeastsCheckbox:SetEnabled(GOTIME_DATA.ShoutOut)
	ToggleFeastsCheckbox:SetScript("OnClick", function(self)
		GOTIME_DATA.Feasts = self:GetChecked()
	end)
	local ToggleFeastsLabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontHighlight')
	ToggleFeastsLabel:SetPoint('LEFT', ToggleFeastsCheckbox, 'RIGHT', 0, 0)
	ToggleFeastsLabel:SetText("Toggle feasts call out.")
	local ToggleRepairBotCheckbox = CreateFrame('CheckButton', "$parentRepairBot", configFrame, 'InterfaceOptionsCheckButtonTemplate')
	ToggleRepairBotCheckbox:SetPoint('TOPLEFT', ToggleFeastsCheckbox, 'BOTTOMLEFT', 0, -5)
	ToggleRepairBotCheckbox:SetChecked(GOTIME_DATA.RepairBot)
	ToggleRepairBotCheckbox:SetEnabled(GOTIME_DATA.ShoutOut)
	ToggleRepairBotCheckbox:SetScript("OnClick", function(self)
		GOTIME_DATA.RepairBot = self:GetChecked()
	end)
	local ToggleRepairBotLabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontHighlight')
	ToggleRepairBotLabel:SetPoint('LEFT', ToggleRepairBotCheckbox, 'RIGHT', 0, 0)
	ToggleRepairBotLabel:SetText("Toggle repair bot call out.")
	local ToggleMagePortalCheckbox = CreateFrame('CheckButton', "$parentMagePortal", configFrame, 'InterfaceOptionsCheckButtonTemplate')
	ToggleMagePortalCheckbox:SetPoint('TOPLEFT', ToggleRepairBotCheckbox, 'BOTTOMLEFT', 0, -5)
	ToggleMagePortalCheckbox:SetChecked(GOTIME_DATA.MagePortal)
	ToggleMagePortalCheckbox:SetEnabled(GOTIME_DATA.ShoutOut)
	ToggleMagePortalCheckbox:SetScript("OnClick", function(self)
		GOTIME_DATA.MagePortal = self:GetChecked()
	end)
	local ToggleMagePortalLabel = configFrame:CreateFontString(nil, 'ARTWORK', 'GameFontHighlight')
	ToggleMagePortalLabel:SetPoint('LEFT', ToggleMagePortalCheckbox, 'RIGHT', 0, 0)
	ToggleMagePortalLabel:SetText("Toggle mage portal call out.")
	local ReloadButton = CreateFrame('Button', "$parentReloadButton", configFrame, 'InterfaceOptionsCheckButtonTemplate')
	ReloadButton:SetPoint("BOTTOMRIGHT", configFrame, "BOTTOMRIGHT", -10, 10)
	ReloadButton:SetWidth(150)
	ReloadButton:SetHeight(25)
	ReloadButton:SetText("Reload Interface")
	ReloadButton:SetNormalFontObject("GameFontNormal")
	ReloadButtonntex = ReloadButton:CreateTexture()
	ReloadButtonntex:SetTexture("Interface/Buttons/UI-Panel-Button-Up")
	ReloadButtonntex:SetTexCoord(0, 0.625, 0, 0.6875)
	ReloadButtonntex:SetAllPoints()	
	ReloadButton:SetNormalTexture(ReloadButtonntex)
	ReloadButtonhtex = ReloadButton:CreateTexture()
	ReloadButtonhtex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	ReloadButtonhtex:SetTexCoord(0, 0.625, 0, 0.6875)
	ReloadButtonhtex:SetAllPoints()
	ReloadButton:SetHighlightTexture(ReloadButtonhtex)
	ReloadButtonptex = ReloadButton:CreateTexture()
	ReloadButtonptex:SetTexture("Interface/Buttons/UI-Panel-Button-Down")
	ReloadButtonptex:SetTexCoord(0, 0.625, 0, 0.6875)
	ReloadButtonptex:SetAllPoints()
	ReloadButton:SetPushedTexture(ReloadButtonptex)
	ReloadButton:SetScript("OnClick", function(self, arg1)
	ReloadUI()
	end)
end