local frame = CreateFrame("Frame")

function GOTIMEMSG(msg)
	local GOTIMEType = GOTIME_DATA.Mode
	if GOTIME_DATA.Mode=="SELF" then
		print(msg)
		return
	elseif GOTIME_DATA.Mode == "TEST" then
		GOTIMEype="TEST"
	elseif GOTIME_DATA.Mode=="RAID_WARNING" or GOTIME_DATA.Mode == "GROUP" then
		if IsInRaid() and GOTIME_DATA.Mode=="RAID_WARNING" and (IsEveryoneAssistant() or UnitIsGroupAssistant("player") or UnitIsGroupLeader("player") or UnitIsRaidOfficer("player")) then
			GOTIMETypeType = "RAID_WARNING"
		elseif IsInGroup(LE_PARTY_CATEGORY_INSTANCE) then
			GOTIMEType = "INSTANCE_CHAT"
		elseif IsInRaid() then
			GOTIMEType = "RAID"
		elseif IsInGroup() then
			GOTIMEType = "PARTY"
		end
	end
	SendChatMessage(msg,GOTIMEType)
end
	
local function handler (msg)
	msg=string.upper(msg)
	if msg == 'ON' or msg == 'OFF' then
		GOTIME_DATA.ShoutOut = (msg == 'ON')
		if GOTIME_DATA.ShoutOut then
			frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
		else
			frame:UnregisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
		end
		if GOTIMEConfigFrame then
            GOTIMEConfigFrameShoutOuts:SetChecked(GOTIME_DATA.ShoutOut)
            GOTIMEConfigFrameWarlock:SetEnabled(GOTIME_DATA.ShoutOut)
            GOTIMEConfigFrameMage:SetEnabled(GOTIME_DATA.ShoutOut)
			GOTIMEConfigFrameCauldron:SetEnabled(GOTIME_DATA.ShoutOut)
			GOTIMEConfigFrameFeasts:SetEnabled(GOTIME_DATA.ShoutOut)
			GOTIMEConfigFrameRepairBot:SetEnabled(GOTIME_DATA.ShoutOut)
			GOTIMEConfigFrameMagePortal:SetEnabled(GOTIME_DATA.ShoutOut)
			GOTIMEConfigFrameAnnounceSelf:SetDisabled(GOTIME_DATA.ShoutOut)
        end
		print("|cffff00ffGo Time|r |cff00ccffis now |r"..(GOTIME_DATA.ShoutOut and "|cff00ff00On|r" or "|cffff0000Off|r").."|cff00ccff.|r")
		
	elseif msg == 'SAY' or msg == 'GROUP' or msg == 'SELF' or msg == 'YELL' then
		GOTIME_DATA.Mode = msg
		print("|cffff00ffGo Time|r |cff00ccffis now set to announce in |r|cff00ff00"..GOTIME_DATA.Mode.."|r.")
		
	elseif msg=="RW" or msg=="RAIDWARNING" then
		GOTIME_DATA.Mode="RAID_WARNING"
		print("|cffff00ffGo Time|r |cff00ccffis now set to announce in |r|cff00ff00"..GOTIME_DATA.Mode.."|r.")
		
	elseif msg == 'TEST' then
		GOTIMEMSG("{rt1}{rt6}{rt3}{rt8}[Test message] |cffff00ffGo Time|r|cff00ccff: Go Time addon is loaded and working correctly!|r{rt8}{rt3}{rt6}{rt1}")
	else
		InterfaceOptionsFrame_OpenToCategory(GoTimeConfigFrame)
		InterfaceOptionsFrame_OpenToCategory(GoTimeConfigFrame)
	end
end

SlashCmdList["GOTIME"] = handler;
SlashCmdList["WL2"] = handler;
SLASH_GOTIME1 = "/GOTIME"
SLASH_WL21 = "/gt"

local bigboySpells = {
	[2825] = true,[178207] = true,[256740] = true,[230935] = true,[32182] = true,[264667] = true, 
	[275200] = true,[1626] = true,[272678] = true,[204276] = true,[80353] = true,[121546] = true,
	[293076] = true,[309658] = true,[146613] = true,
}
local warlockSpells = {
	[29893] = true,[58094] = true,[29886] = true,[34145] = true,[285165] = true,[183601] = true,[58341] = true,
}
local mageSpells = {
	[92824] = true,[43987] = true,[42955] = true,[190336] = true,[309443] = true,[120053] = true,
}
local cauldronSpells = {
	[92649] = true,[92712] = true,[41458] = true,[41500] = true,[41501] = true,
}
local groupfoodSpells = {
	[104958] = true,[126492] = true,[126494] = true,[126501] = true,[126502] = true,[126504] = true,
    [126498] = true,[126500] = true,[126496] = true,[105193] = true,[126503] = true,[126497] = true,
    [126499] = true,[126495] = true,[87915] = true,[87916] = true,[87644] = true,[87643] = true,
	[146936] = true,[146933] = true,[146937] = true,[145169] = true,[146938] = true,[57426] = true,
    [57301] = true,[175215] = true,[160914] = true,[173978] = true,[172043] = true,[172042] = true,
	[138478] = true,[138479] = true,[126935] = true,[126936] = true,[46887] = true,[184690] = true,
	[184624] = true,[216347] = true,[308402] = true,[308403] = true,
}
local repairBot = {
	[67826] = true,[54711] = true,[22700] = true,[44389] = true,
}
local mageportalSpells = {
	[10059] = true,[11416] = true,[11417] = true,[11418] = true,[11419] = true,[11420] = true,[32266] = true,
	[32267] = true,[33691] = true,[35717] = true,[49360] = true,[49361] = true,[53142] = true,[88345] = true,
    [88346] = true,[120146] = true,[132620] = true,[132626] = true,[344597] = true,[281402] = true,
	[281400] = true,[176244] = true,[176246] = true,
}

frame:RegisterEvent("PLAYER_LOGIN")

frame:SetScript("OnEvent", function(self, event, ...)
    if event == "PLAYER_LOGIN" then
        GOTIME_DATA = GOTIME_DATA  or {
            ShoutOut = true,
            Mode = "GROUP",
			Lust = true,
            Warlock = true,
            Mage = true,
			Cauldron = true,
			Feasts = true,
			RepairBot = true,
			MagePortal = true,
        } 
 
        if GOTIME_DATA.ShoutOut == true then
            frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
        end

	else
		local _, event, _, _, sourceName, _, _, _, _, _, _, spellID, spellName = CombatLogGetCurrentEventInfo()		
		local pNum=GetNumGroupMembers()
		if GOTIME_DATA.Lust and (bigboySpells[spellID]) and pNum > 0 and (event=="SPELL_CAST_SUCCESS") then 
			if (UnitPlayerOrPetInParty(sourceName) or UnitPlayerOrPetInRaid(sourceName)) then
				if UnitIsPlayer(sourceName) then
					GOTIMEMSG("{rt8}Go Time: "..sourceName.." used a big boy buff on the party "..GetSpellLink(spellID)..", time to get LIT!!{rt8}")
				else
					if UnitIsUnit("pet", sourceName) then
						sourceName = ("%s"):format(UnitName("player"))
					elseif IsInRaid() then
						for x = 1, pNum do
							if UnitIsUnit(("raidpet%i"):format(x), sourceName ) then
								sourceName = ("%s"):format(UnitName(("raid%i"):format(x)))
								break
							end
						end
					elseif IsInGroup() then 
						for x = 1, pNum do
							if UnitIsUnit(("partypet%i"):format(x), sourceName ) then
								sourceName = ("%s"):format(UnitName(("party%i"):format(x)))
								break
							end
						end
					end
					GOTIMEMSG("{rt8}Go Time: "..sourceName.."\'s pet used "..GetSpellLink(spellID).." and increased haste by +30% on the group!{rt8}")
				end
			end
		end
		if GOTIME_DATA.Warlock and warlockSpells[spellID] and pNum > 0 and (event=="SPELL_CAST_SUCCESS") then 
			if (UnitPlayerOrPetInParty(sourceName)) then
				if UnitIsPlayer(sourceName) then
					GOTIMEMSG("{rt3}Go Time: "..sourceName.." has casted "..GetSpellLink(spellID)..", come get your cookies!!{rt3}")
				end
			end
		end
		if GOTIME_DATA.Mage and mageSpells[spellID] and pNum > 0 and (event=="SPELL_CAST_SUCCESS") then 
			if (UnitPlayerOrPetInParty(sourceName)) then
				if UnitIsPlayer(sourceName) then
					GOTIMEMSG("{rt6}Go Time: "..sourceName.." has casted "..GetSpellLink(spellID)..", come get your conjured food!!{rt6}")
				end
			end
		end 
		if GOTIME_DATA.Cauldron and cauldronSpells[spellID] and pNum > 0 and (event=="SPELL_CAST_SUCCESS") then 
			if (UnitPlayerOrPetInParty(sourceName)) then
				if UnitIsPlayer(sourceName) then
					GOTIMEMSG("{rt1}Go Time: "..sourceName.." has dropped "..GetSpellLink(spellID)..", get it while its bubbling!!{rt1}")
				end
			end
		end 
		if GOTIME_DATA.Feasts and groupfoodSpells[spellID] and pNum > 0 and (event=="SPELL_CAST_SUCCESS") then 
			if (UnitPlayerOrPetInParty(sourceName)) then
				if UnitIsPlayer(sourceName) then
					GOTIMEMSG("{rt1}Go Time: "..sourceName.." is kind of enough to display "..GetSpellLink(spellID)..", eat up!!{rt1}")
				end
			end
		end
		if GOTIME_DATA.RepairBot and repairBot[spellID] and pNum > 0 and (event=="SPELL_CAST_SUCCESS") then 
			if (UnitPlayerOrPetInParty(sourceName)) then
				if UnitIsPlayer(sourceName) then
					GOTIMEMSG("{rt1}Go Time: "..sourceName.." has summoned "..GetSpellLink(spellID)..", come and chat!!{rt1}")
				end
			end
		end
		if GOTIME_DATA.MagePortal and mageportalSpells[spellID] and pNum > 0 and (event=="SPELL_CAST_SUCCESS") then 
			if (UnitPlayerOrPetInParty(sourceName)) then
				if UnitIsPlayer(sourceName) then
					GOTIMEMSG("{rt6}Go Time: "..sourceName.." has opened "..GetSpellLink(spellID)..", jump in!!{rt6}")
				end
			end
		end
	end
end)