local addon = LibStub("AceAddon-3.0"):NewAddon("GoTime", "AceConsole-3.0")
local GoTimeLDB = LibStub("LibDataBroker-1.1"):NewDataObject("GoTime", {
    type = "data source",
    text = "GoTime",
    icon = "Interface\\Icons\\Ability_warrior_rampage",
    OnTooltipShow = function(tooltip)
        tooltip:SetText("|cffff00ffGo Time|r")
        tooltip:AddLine("|cff69ccf0Left click to open toggle interface|R", 1, 1, 1)
        tooltip:AddLine("|cff69ccf0Right click to reload UI|r", 1, 1, 1)
        tooltip:AddLine("|cff69ccf0Use /gticon to hide or show|r", 1, 1, 1)
        tooltip:Show()
   end,
})

local GoTime = GoTime

function GoTimeLDB.OnClick(self, button)
	if button == "LeftButton" then
		InterfaceOptionsFrame_OpenToCategory(GoTimeConfigFrame)
		InterfaceOptionsFrame_OpenToCategory(GoTimeConfigFrame)
	else
		ReloadUI()
	end
end

local icon = LibStub("LibDBIcon-1.0")
 
function addon:OnInitialize()
    self.db = LibStub("AceDB-3.0"):New("GoTimeDB", {
        profile = {
            minimap = {
                hide = false,
            },
        },
    })
    icon:Register("GoTime", GoTimeLDB, self.db.profile.minimap)
    self:RegisterChatCommand("gticon", "gticonhide")
end
 
function addon:gticonhide()
    self.db.profile.minimap.hide = not self.db.profile.minimap.hide
    if self.db.profile.minimap.hide then
        icon:Hide("GoTime")
    else
        icon:Show("GoTime")
    end
end
